classification
Title: test_urllib2net is triggering a ResourceWarning
Type: resource usage Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: brett.cannon, martin.panter, nadeem.vawda, orsenthil, python-dev
Priority: low Keywords:

Created on 2011-08-05 05:02 by brett.cannon, last changed 2013-12-29 01:38 by orsenthil. This issue is now closed.

Messages (7)
msg141645 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-08-05 05:02
Specifically, test.test_urllib2net.OtherNetworkTests.test_sites_no_connection_close is leaving a socket open somewhere, but tracking down exactly whom is to blame is a mess since socket.SocketIO.close() explicitly relies on refcounting to shut down a socket.
msg141649 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2011-08-05 07:36
Relevant: http://mail.python.org/pipermail/python-dev/2011-July/112551.html
msg141673 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-08-05 17:58
Thanks for the info, Nadeem.
msg173459 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-21 15:44
New changeset 92656b5df2f2 by Nadeem Vawda in branch 'default':
Issue #12692: Fix resource leak in urllib.request.
http://hg.python.org/cpython/rev/92656b5df2f2
msg207055 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2013-12-28 22:34
Any chance of backporting this to version 3.3? I think it is a real-world issue beyond the test suite. See Issue 19524.
msg207060 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-29 01:37
New changeset a43e96695203 by Senthil Kumaran in branch '3.3':
Backporing the fix from Issue #12692
http://hg.python.org/cpython/rev/a43e96695203

New changeset 031417ee8351 by Senthil Kumaran in branch 'default':
#12692: null merge with 3.3
http://hg.python.org/cpython/rev/031417ee8351
msg207061 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-12-29 01:38
@Martin. Agree that this should have been backported. I have done that.
Thank you!
History
Date User Action Args
2014-07-16 19:30:16serhiy.storchakalinkissue18144 superseder
2013-12-29 01:38:25orsenthilsetmessages: + msg207061
2013-12-29 01:37:48python-devsetmessages: + msg207060
2013-12-28 22:34:04martin.pantersetnosy: + martin.panter
messages: + msg207055
2012-10-21 15:45:23nadeem.vawdasetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-10-21 15:44:12python-devsetnosy: + python-dev
messages: + msg173459
2011-08-05 17:58:34brett.cannonsetassignee: orsenthil

messages: + msg141673
nosy: + orsenthil
2011-08-05 07:38:02nadeem.vawdasetversions: + Python 3.2
2011-08-05 07:36:36nadeem.vawdasetnosy: + nadeem.vawda
messages: + msg141649
2011-08-05 05:02:31brett.cannoncreate